Package org.codehaus.groovy.ast

# Class PackageNode

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.PackageNode

public class PackageNode extends AnnotatedNode
Represents a package in the AST.

Author:
  Paul King

## Constructor Summary

Constructors
Constructor
Description
`PackageNode(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getText()`
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageNode

public PackageNode(String name)

## Method Details

### getName

public String getName()

### getText

public String getText()

Overrides:
  `getText` in class `ASTNode`
Returns:
  the text display of this package definition

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`